package arzumify.presence.maths;

/**
 * A vector composed of 3 floats.
 */
public record Vec3f(float x, float y, float z) {
    public Vec3f add(Vec3f offset) {
        return new Vec3f(x + offset.x, y + offset.y, z + offset.z);
    }
}