package arzumify.presence.presences;

import arzumify.presence.maths.Vec2i;

import java.util.Set;

public interface Presence<T extends Presence<T>> {
    Set<Vec2i> GetChunks();

    Set<Vec2i> GetCollisionChunks();

    boolean Matches(Presence<T> presence);
}
