package arzumify.presence.maths;

/**
 * A vector composed of 3 integers.
 */
public record Vec3i(int x, int y, int z) {
    public Vec3i add(Vec3i offset) {
        return new Vec3i(x + offset.x, y + offset.y, z + offset.z);
    }
}